Subject: Re: bug#71716: [PATCH] Add new completion-preview-insert-{word, sexp} commands

From: Jules Tamagnan <[email-masked]>
Date: Mon, 24 Jun 2024 11:11:16 -0700

Hi Eli,

Thank you for the review, I really appreciate it.

Eli Zaretskii <[email-masked]> writes:

>> Cc: [email-masked]
>> From: Jules Tamagnan <[email-masked]>
>> Date: Sun, 23 Jun 2024 15:08:43 -0700
>> 
>> +(defcustom completion-preview-context-variables '(char-script-table
>> +                                                  forward-sexp-function
>> +                                                  find-word-boundary-function-table
>> +                                                  inhibit-field-text-motion)
>> +  "List of variables which can change the functionality of `forward-word'
>> +or `forward-sexp'."
>> +  :type '(repeat (variable :tag "Variable" :value char-script-table))
>> +  :version "30.1")
>
> I don't think we will install new features on the emacs-30 branch, so
> this :version tag should be updated.  And the previous one as well, I
> guess.

My latest patch for this change actually removed this variable entirely
but I'll keep this in mind going forward.

>> +(defun completion-preview--determine-substring (command string)
>> +  "A helper function to determine what parts of a STRING come before and
>> +after the point when a certain COMMAND has been performed on that STRING"
>
> The first line of a doc string should be a single complete sentence.
> That's because some help commands, like "M-x apropos", show only the
> first line of the doc strings.

Similarly, I've removed this function definition but will keep this in
mind. Thank you.

Best,
Jules